rte_red(3)

NAME
rte_red

SYNOPSIS

#include <rte_red.h>

  Data Fields

uint32_t avg
uint32_t count
uint64_t q_time

Detailed Description

RED run-time data

Definition at line 66 of file rte_red.h.

Field Documentation

  uint32_t avg
Average queue size (avg), scaled in fixed-point format

Definition at line 67 of file rte_red.h.

  uint32_t count
Number of packets since last marked packet (count)

Definition at line 68 of file rte_red.h.

  uint64_t q_time
Start of the queue idle time (q_time)

Definition at line 69 of file rte_red.h.

Author

Generated automatically by Doxygen for DPDK from the source code.